#include <iostream>
#include <string>
using namespace std;

int main()
{
    string s,x;
    int b;
    bool f=0;
    cin>>s>>x;
    int d=s.length();
    if(x=="a"){
     for(int i=0;i<d;i++){
          if(s[i] == 'a')
             s[i]='*';
      }
    }
    else{
      for(int i=0;i<d;i++){
          if(s[i] == 'a'){
            f=1;
            b=i;
          }
          else if(s[i]=='b'){
            if(f=1){
              s[b]='*';
              s[i]='*';
            }
          }
      }
    }
    cout<<s;
    return 0;
}